Loading...
Searching...
No Matches
ne10_iir_lattice_instance_f32_t Struct Reference

Instance structure for the floating point IIR Lattice filter. More...

`#include <NE10_types.h>`

## Public Attributes

ne10_uint16_t | numStages
| numStages of the of lattice filter.
ne10_float32_t * | pState
| Points to the state variable array.
ne10_float32_t * | pkCoeffs
| Points to the reflection coefficient array.
ne10_float32_t * | pvCoeffs
| Points to the ladder coefficient array.

## Detailed Description

Instance structure for the floating point IIR Lattice filter.

Definition at line 419 of file NE10_types.h.

## Member Data Documentation

## numStages

ne10_uint16_t ne10_iir_lattice_instance_f32_t::numStages

numStages of the of lattice filter.

Definition at line 421 of file NE10_types.h.

## pkCoeffs

ne10_float32_t* ne10_iir_lattice_instance_f32_t::pkCoeffs

Points to the reflection coefficient array.

The array is of length numStages.

Definition at line 423 of file NE10_types.h.

## pState

ne10_float32_t* ne10_iir_lattice_instance_f32_t::pState

Points to the state variable array.

The array is of length numStages + blockSize -1.

Definition at line 422 of file NE10_types.h.

## pvCoeffs

ne10_float32_t* ne10_iir_lattice_instance_f32_t::pvCoeffs

Points to the ladder coefficient array.

The array is of length numStages+1.

Definition at line 424 of file NE10_types.h.

The documentation for this struct was generated from the following file:

- NE10_types.h